:root {
  --h1-font-size: 2rem;
  --h2-font-size: 1.5rem;
  --h3-font-size: 1.25rem;
  --body-font-size: 0.9rem;
  --small-font-size: 0.7rem; }

:root {
  --z-back: -10;
  --z-normal: 1;
  --z-tooltip: 10;
  --z-fixed: 100;
  --z-modal: 1000; }

:root {
  --font-size: 1.2rem; }

:root {
  --display-color: hsl(40, 70%, 65%);
  --calculator-bg-color: hsl(244, 50%, 50%);
  --buttons-bg-color: hsl(244, 100%, 10%);
  --buttons-color: hsl(0, 0%, 100%); }

*::before,
*::after {
  box-sizing: border-box; }

body {
  margin: 0;
  font-family: lato, sans-serif;
  font-size: var(--body-font-size); }

a {
  text-decoration: none; }

img {
  max-width: 100%; }

h1,
h2,
h3,
h4,
h5,
h6 {
  margin-top: 0; }

h1 {
  font-size: var(--h1-font-size); }

h2 {
  font-size: var(--h2-font-size); }

.main-container {
  width: 100%;
  height: 100vh;
  display: grid;
  grid-template-rows: 10% 80% 10%;
  background: linear-gradient(45deg, #292929 20%, #303030 20%, #363636 25%, #262626 39%, #171717 50%, black 70%, #0a0a0a 60%, #171717 76%, #0f0f0f 91%, #0a0a0a 100%); }
  @media screen and (min-width: 1024px) {
    .main-container {
      grid-template-rows: 15% 75% auto; } }

.header {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center; }
  .header__title {
    width: 80vw;
    margin: auto; }

.calculator-container {
  height: 100%;
  width: 100%;
  height: 100%;
  margin: 0.5rem auto 0;
  display: flex;
  align-items: center;
  justify-content: center; }

.calculator {
  width: 65%;
  max-width: 500px;
  height: 70%;
  min-height: 400px;
  display: flex;
  flex-direction: column; }
  .calculator__display {
    height: 25%; }
  .calculator__panel-buttons {
    height: 75%;
    display: grid;
    grid-template-rows: repeat(4, 1fr);
    grid-template-columns: repeat(5, 1fr);
    align-items: center; }

.header__title {
  background-color: gray;
  color: white;
  text-align: center;
  padding: 0.5rem;
  border-radius: 5rem;
  font-size: var(--h2-font-size); }
  @media screen and (min-width: 320px) {
    .header__title {
      font-size: var(--h1-font-size); } }
  @media screen and (min-width: 768px) {
    .header__title {
      width: 60vw;
      font-size: calc(var(--h1-font-size) * 1.7); } }
  @media screen and (min-width: 1024px) {
    .header__title {
      font-size: calc(var(--h1-font-size) * 2);
      width: 50vw; } }

.calculator {
  background-color: var(--calculator-bg-color);
  padding: 1rem 0;
  border-radius: 0.8rem; }
  .calculator__display {
    width: 80%;
    padding: 0.2rem;
    margin: 0 auto;
    border-radius: 0.8rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-end;
    background-color: steelblue; }
  .calculator__previous-number {
    padding: 0.5rem 0.75rem;
    font-size: 1.2rem; }
  .calculator__current-number {
    font-size: 2rem;
    padding: 0.5rem 0.75rem;
    font-weight: bold; }
  .calculator__panel-buttons {
    width: 80%;
    padding: 0.2rem;
    margin: 0 auto;
    margin-top: 0.25rem; }

.btn {
  background: var(--buttons-bg-color);
  color: var(--buttons-color);
  width: 75%;
  height: 75%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  box-shadow: 5px 5px 10px 2px;
  cursor: pointer; }
  @media screen and (min-width: 768px) {
    .btn {
      font-size: calc(var(--font-size) * 1.8); } }

.footer {
  width: 100%; }
  .footer__img {
    background: white;
    border-radius: 50%;
    display: block;
    width: 50px;
    margin: 0 auto; }
